#ifndef __LINE_COMMON_H_
#define __LINE_COMMON_H_

#include <ros/ros.h>
#include <cmath>

namespace vda_5050_utils
{
  double distanceFromPointToLine(double x0, double y0, double x1, double y1, double x2, double y2);

  bool isPointOnSegment(double x0, double y0, double x1, double y1, double x2, double y2, const double tolerance);
}

#endif